//////////////////////////////////////////////////////////////////////
// Created by SmartDesign Thu May 16 08:36:53 2019
// Version: v12.0 12.500.0.22
//////////////////////////////////////////////////////////////////////

`timescale 1ns / 100ps

// SGMII_CDR_0_01
module SGMII_CDR_0_01(
    // Inputs
    DLL_CODE,
    DLL_DELAY_DIFF,
    DLL_LOCK,
    HS_IO_CLK_0,
    HS_IO_CLK_180,
    HS_IO_CLK_270,
    HS_IO_CLK_90,
    PLL_LOCK,
    RST_N,
    RX_N,
    RX_P,
    SLAVE_DLL_CODE_VALID,
    SLAVE_DLL_DELAY_CODE,
    SLAVE_DLL_START,
    STREAM_START,
    TX_CLK_G,
    TX_DATA,
    // Outputs
    DLL_CODE_UPDATE,
    MASTER_DLL_CODE_VALID,
    MASTER_DLL_DELAY_CODE,
    MASTER_DLL_START,
    RX_CLK_R,
    RX_DATA,
    RX_VAL,
    TX_N,
    TX_P
);

//--------------------------------------------------------------------
// Input
//--------------------------------------------------------------------
input  [7:0] DLL_CODE;
input        DLL_DELAY_DIFF;
input        DLL_LOCK;
input        HS_IO_CLK_0;
input        HS_IO_CLK_180;
input        HS_IO_CLK_270;
input        HS_IO_CLK_90;
input        PLL_LOCK;
input        RST_N;
input        RX_N;
input        RX_P;
input        SLAVE_DLL_CODE_VALID;
input  [6:0] SLAVE_DLL_DELAY_CODE;
input        SLAVE_DLL_START;
input        STREAM_START;
input        TX_CLK_G;
input  [9:0] TX_DATA;
//--------------------------------------------------------------------
// Output
//--------------------------------------------------------------------
output       DLL_CODE_UPDATE;
output       MASTER_DLL_CODE_VALID;
output [6:0] MASTER_DLL_DELAY_CODE;
output       MASTER_DLL_START;
output       RX_CLK_R;
output [9:0] RX_DATA;
output       RX_VAL;
output       TX_N;
output       TX_P;
//--------------------------------------------------------------------
// Nets
//--------------------------------------------------------------------
wire           CDR4_CNTL_TIP_0_cdr_ready;
wire           CDR4_CNTL_TIP_0_clr_flags_n;
wire   [2:0]   CDR4_CNTL_TIP_0_eyewidth_in_lane;
wire   [7:0]   CDR4_CNTL_TIP_0_sela_lane7to0;
wire   [8:8]   CDR4_CNTL_TIP_0_sela_lane8to8;
wire   [9:9]   CDR4_CNTL_TIP_0_sela_lane9to9;
wire   [10:10] CDR4_CNTL_TIP_0_sela_lane10to10;
wire   [0:0]   CDR4_CNTL_TIP_0_selb_lane0to0;
wire   [7:1]   CDR4_CNTL_TIP_0_selb_lane7to1;
wire   [8:8]   CDR4_CNTL_TIP_0_selb_lane8to8;
wire   [9:9]   CDR4_CNTL_TIP_0_selb_lane9to9;
wire   [10:10] CDR4_CNTL_TIP_0_selb_lane10to10;
wire           CDR4_CNTL_TIP_0_switch_lane;
wire           DELAY_CODE_TIP_0_direction_lane;
wire           DELAY_CODE_TIP_0_load_lane;
wire           DELAY_CODE_TIP_0_move_lane;
wire           DELAY_CODE_TIP_0_mv_rd_dly_lane;
wire           DELAY_CODE_TIP_0_pause_lane;
wire           DELAY_CODE_TIP_0_reset_lane;
wire   [7:0]   DLL_CODE;
wire           DLL_CODE_UPDATE_net_0;
wire           DLL_DELAY_DIFF;
wire           DLL_LOCK;
wire           FLAG_GEN_TIP_0_direction_n;
wire           FLAG_GEN_TIP_0_early_n;
wire           FLAG_GEN_TIP_0_late_n;
wire           FLAG_GEN_TIP_0_load_n;
wire           FLAG_GEN_TIP_0_move_n;
wire           HS_IO_CLK_0;
wire           HS_IO_CLK_90;
wire           HS_IO_CLK_180;
wire           HS_IO_CLK_270;
wire           IB_DIFF_CDR_0_Y;
wire           MASTER_DLL_CODE_VALID_net_0;
wire   [6:0]   MASTER_DLL_DELAY_CODE_net_0;
wire           MASTER_DLL_START_net_0;
wire           PF_IOD_CDR_LANECTRL_OVERLAY_0_CDR_CLK_A_SEL_8;
wire           PF_IOD_CDR_LANECTRL_OVERLAY_0_CDR_CLK_A_SEL_9;
wire           PF_IOD_CDR_LANECTRL_OVERLAY_0_CDR_CLK_A_SEL_10;
wire   [10:0]  PF_IOD_CDR_LANECTRL_OVERLAY_0_CDR_CLK_B_SEL;
wire           PF_IOD_CDR_LANECTRL_OVERLAY_0_SWITCH;
wire   [9:0]   PF_IOD_CDR_RX_N_0_RX_DATA_0;
wire           PF_IOD_CDR_TX_0_TX_0;
wire           PF_LANECTRL_0_A_OUT_RST_N;
wire           PF_LANECTRL_0_ARST_N;
wire           PF_LANECTRL_0_CDR_CLK;
wire           PF_LANECTRL_0_CLK_OUT_R;
wire   [2:0]   PF_LANECTRL_0_EYE_MONITOR_WIDTH_OUT;
wire   [2:0]   PF_LANECTRL_0_FIFO_RD_PTR;
wire   [2:0]   PF_LANECTRL_0_FIFO_WR_PTR;
wire           PF_LANECTRL_0_RX_SYNC_RST;
wire           PF_LANECTRL_0_TX_SYNC_RST;
wire           PF_LANECTRL_CODE_READER_0_RX_DELAY_LINE_OUT_OF_RANGE;
wire           PLL_LOCK;
wire           RST_N;
wire           RX_CLK_R_net_0;
wire   [9:0]   RX_DATA_net_0;
wire           RX_N;
wire           RX_P;
wire           RX_VAL_net_0;
wire           SLAVE_DLL_CODE_VALID;
wire   [6:0]   SLAVE_DLL_DELAY_CODE;
wire           SLAVE_DLL_START;
wire           STREAM_START;
wire           TX_CLK_G;
wire   [9:0]   TX_DATA;
wire           TX_N_net_0;
wire           TX_P_net_0;
wire           TX_P_net_1;
wire           TX_N_net_1;
wire           RX_CLK_R_net_1;
wire   [9:0]   RX_DATA_net_1;
wire           RX_VAL_net_1;
wire           DLL_CODE_UPDATE_net_1;
wire           MASTER_DLL_CODE_VALID_net_1;
wire           MASTER_DLL_START_net_1;
wire   [6:0]   MASTER_DLL_DELAY_CODE_net_1;
wire   [7:0]   TX_DATA_0_net_0;
wire   [3:0]   OE_DATA_0_net_0;
wire   [3:0]   HS_IO_CLK_net_0;
wire   [10:0]  sela_lane_net_0;
wire   [10:0]  selb_lane_net_0;
//--------------------------------------------------------------------
// TiedOff Nets
//--------------------------------------------------------------------
wire           GND_net;
wire   [3:0]   OE_DATA_0_const_net_0;
wire   [2:0]   READ_CLK_SEL_const_net_0;
wire           VCC_net;
wire   [1:0]   RX_DQS_90_const_net_0;
wire   [2:0]   FIFO_WR_PTR_const_net_0;
wire   [2:0]   FIFO_RD_PTR_const_net_0;
wire   [2:0]   EYE_MONITOR_LANE_WIDTH_const_net_0;
wire   [7:0]   TX_DATA_1_const_net_0;
wire   [7:0]   TX_DATA_2_const_net_0;
wire   [7:0]   TX_DATA_3_const_net_0;
wire   [7:0]   TX_DATA_4_const_net_0;
wire   [7:0]   TX_DATA_5_const_net_0;
wire   [7:0]   TX_DATA_6_const_net_0;
wire   [7:0]   TX_DATA_7_const_net_0;
wire   [7:0]   TX_DATA_8_const_net_0;
wire   [7:0]   TX_DATA_9_const_net_0;
wire   [7:0]   TX_DATA_10_const_net_0;
wire   [7:0]   TX_DATA_11_const_net_0;
wire   [7:0]   TX_DATA_12_const_net_0;
wire   [7:0]   TX_DATA_13_const_net_0;
wire   [7:0]   TX_DATA_14_const_net_0;
wire   [7:0]   TX_DATA_15_const_net_0;
wire   [7:0]   TX_DATA_16_const_net_0;
wire   [7:0]   TX_DATA_17_const_net_0;
wire   [7:0]   TX_DATA_18_const_net_0;
wire   [7:0]   TX_DATA_19_const_net_0;
wire   [7:0]   TX_DATA_20_const_net_0;
wire   [7:0]   TX_DATA_21_const_net_0;
wire   [7:0]   TX_DATA_22_const_net_0;
wire   [7:0]   TX_DATA_23_const_net_0;
wire   [7:0]   TX_DATA_24_const_net_0;
wire   [7:0]   TX_DATA_25_const_net_0;
wire   [7:0]   TX_DATA_26_const_net_0;
wire   [7:0]   TX_DATA_27_const_net_0;
wire   [7:0]   TX_DATA_28_const_net_0;
wire   [7:0]   TX_DATA_29_const_net_0;
wire   [7:0]   TX_DATA_30_const_net_0;
wire   [7:0]   TX_DATA_31_const_net_0;
wire   [7:0]   TX_DATA_32_const_net_0;
wire   [7:0]   TX_DATA_33_const_net_0;
wire   [7:0]   TX_DATA_34_const_net_0;
wire   [7:0]   TX_DATA_35_const_net_0;
wire   [7:0]   TX_DATA_36_const_net_0;
wire   [7:0]   TX_DATA_37_const_net_0;
wire   [7:0]   TX_DATA_38_const_net_0;
wire   [7:0]   TX_DATA_39_const_net_0;
wire   [7:0]   TX_DATA_40_const_net_0;
wire   [7:0]   TX_DATA_41_const_net_0;
wire   [7:0]   TX_DATA_42_const_net_0;
wire   [7:0]   TX_DATA_43_const_net_0;
wire   [7:0]   TX_DATA_44_const_net_0;
wire   [7:0]   TX_DATA_45_const_net_0;
wire   [7:0]   TX_DATA_46_const_net_0;
wire   [7:0]   TX_DATA_47_const_net_0;
wire   [7:0]   TX_DATA_48_const_net_0;
wire   [7:0]   TX_DATA_49_const_net_0;
wire   [7:0]   TX_DATA_50_const_net_0;
wire   [7:0]   TX_DATA_51_const_net_0;
wire   [7:0]   TX_DATA_52_const_net_0;
wire   [7:0]   TX_DATA_53_const_net_0;
wire   [7:0]   TX_DATA_54_const_net_0;
wire   [7:0]   TX_DATA_55_const_net_0;
wire   [7:0]   TX_DATA_56_const_net_0;
wire   [7:0]   TX_DATA_57_const_net_0;
wire   [7:0]   TX_DATA_58_const_net_0;
wire   [7:0]   TX_DATA_59_const_net_0;
wire   [7:0]   TX_DATA_60_const_net_0;
wire   [7:0]   TX_DATA_61_const_net_0;
wire   [7:0]   TX_DATA_62_const_net_0;
wire   [7:0]   TX_DATA_63_const_net_0;
wire   [3:0]   OE_DATA_1_const_net_0;
wire   [3:0]   OE_DATA_2_const_net_0;
wire   [3:0]   OE_DATA_3_const_net_0;
wire   [3:0]   OE_DATA_4_const_net_0;
wire   [3:0]   OE_DATA_5_const_net_0;
wire   [3:0]   OE_DATA_6_const_net_0;
wire   [3:0]   OE_DATA_7_const_net_0;
wire   [3:0]   OE_DATA_8_const_net_0;
wire   [3:0]   OE_DATA_9_const_net_0;
wire   [3:0]   OE_DATA_10_const_net_0;
wire   [3:0]   OE_DATA_11_const_net_0;
wire   [3:0]   OE_DATA_12_const_net_0;
wire   [3:0]   OE_DATA_13_const_net_0;
wire   [3:0]   OE_DATA_14_const_net_0;
wire   [3:0]   OE_DATA_15_const_net_0;
wire   [3:0]   OE_DATA_16_const_net_0;
wire   [3:0]   OE_DATA_17_const_net_0;
wire   [3:0]   OE_DATA_18_const_net_0;
wire   [3:0]   OE_DATA_19_const_net_0;
wire   [3:0]   OE_DATA_20_const_net_0;
wire   [3:0]   OE_DATA_21_const_net_0;
wire   [3:0]   OE_DATA_22_const_net_0;
wire   [3:0]   OE_DATA_23_const_net_0;
wire   [3:0]   OE_DATA_24_const_net_0;
wire   [3:0]   OE_DATA_25_const_net_0;
wire   [3:0]   OE_DATA_26_const_net_0;
wire   [3:0]   OE_DATA_27_const_net_0;
wire   [3:0]   OE_DATA_28_const_net_0;
wire   [3:0]   OE_DATA_29_const_net_0;
wire   [3:0]   OE_DATA_30_const_net_0;
wire   [3:0]   OE_DATA_31_const_net_0;
wire   [3:0]   OE_DATA_32_const_net_0;
wire   [3:0]   OE_DATA_33_const_net_0;
wire   [3:0]   OE_DATA_34_const_net_0;
wire   [3:0]   OE_DATA_35_const_net_0;
wire   [3:0]   OE_DATA_36_const_net_0;
wire   [3:0]   OE_DATA_37_const_net_0;
wire   [3:0]   OE_DATA_38_const_net_0;
wire   [3:0]   OE_DATA_39_const_net_0;
wire   [3:0]   OE_DATA_40_const_net_0;
wire   [3:0]   OE_DATA_41_const_net_0;
wire   [3:0]   OE_DATA_42_const_net_0;
wire   [3:0]   OE_DATA_43_const_net_0;
wire   [3:0]   OE_DATA_44_const_net_0;
wire   [3:0]   OE_DATA_45_const_net_0;
wire   [3:0]   OE_DATA_46_const_net_0;
wire   [3:0]   OE_DATA_47_const_net_0;
wire   [3:0]   OE_DATA_48_const_net_0;
wire   [3:0]   OE_DATA_49_const_net_0;
wire   [3:0]   OE_DATA_50_const_net_0;
wire   [3:0]   OE_DATA_51_const_net_0;
wire   [3:0]   OE_DATA_52_const_net_0;
wire   [3:0]   OE_DATA_53_const_net_0;
wire   [3:0]   OE_DATA_54_const_net_0;
wire   [3:0]   OE_DATA_55_const_net_0;
wire   [3:0]   OE_DATA_56_const_net_0;
wire   [3:0]   OE_DATA_57_const_net_0;
wire   [3:0]   OE_DATA_58_const_net_0;
wire   [3:0]   OE_DATA_59_const_net_0;
wire   [3:0]   OE_DATA_60_const_net_0;
wire   [3:0]   OE_DATA_61_const_net_0;
wire   [3:0]   OE_DATA_62_const_net_0;
wire   [3:0]   OE_DATA_63_const_net_0;
wire   [1:0]   RX_DQS_90_const_net_1;
wire   [9:0]   TX_DATA_0_const_net_0;
wire   [9:0]   TX_DATA_1_const_net_1;
wire   [9:0]   TX_DATA_2_const_net_1;
wire   [9:0]   TX_DATA_3_const_net_1;
wire   [9:0]   TX_DATA_4_const_net_1;
wire   [9:0]   TX_DATA_5_const_net_1;
wire   [9:0]   TX_DATA_6_const_net_1;
wire   [9:0]   TX_DATA_7_const_net_1;
wire   [9:0]   TX_DATA_8_const_net_1;
wire   [9:0]   TX_DATA_9_const_net_1;
wire   [9:0]   TX_DATA_10_const_net_1;
wire   [9:0]   TX_DATA_11_const_net_1;
wire   [9:0]   TX_DATA_12_const_net_1;
wire   [9:0]   TX_DATA_13_const_net_1;
wire   [9:0]   TX_DATA_14_const_net_1;
wire   [9:0]   TX_DATA_15_const_net_1;
wire   [9:0]   TX_DATA_16_const_net_1;
wire   [9:0]   TX_DATA_17_const_net_1;
wire   [9:0]   TX_DATA_18_const_net_1;
wire   [9:0]   TX_DATA_19_const_net_1;
wire   [9:0]   TX_DATA_20_const_net_1;
wire   [9:0]   TX_DATA_21_const_net_1;
wire   [9:0]   TX_DATA_22_const_net_1;
wire   [9:0]   TX_DATA_23_const_net_1;
wire   [9:0]   TX_DATA_24_const_net_1;
wire   [9:0]   TX_DATA_25_const_net_1;
wire   [9:0]   TX_DATA_26_const_net_1;
wire   [9:0]   TX_DATA_27_const_net_1;
wire   [9:0]   TX_DATA_28_const_net_1;
wire   [9:0]   TX_DATA_29_const_net_1;
wire   [9:0]   TX_DATA_30_const_net_1;
wire   [9:0]   TX_DATA_31_const_net_1;
wire   [9:0]   TX_DATA_32_const_net_1;
wire   [9:0]   TX_DATA_33_const_net_1;
wire   [9:0]   TX_DATA_34_const_net_1;
wire   [9:0]   TX_DATA_35_const_net_1;
wire   [9:0]   TX_DATA_36_const_net_1;
wire   [9:0]   TX_DATA_37_const_net_1;
wire   [9:0]   TX_DATA_38_const_net_1;
wire   [9:0]   TX_DATA_39_const_net_1;
wire   [9:0]   TX_DATA_40_const_net_1;
wire   [9:0]   TX_DATA_41_const_net_1;
wire   [9:0]   TX_DATA_42_const_net_1;
wire   [9:0]   TX_DATA_43_const_net_1;
wire   [9:0]   TX_DATA_44_const_net_1;
wire   [9:0]   TX_DATA_45_const_net_1;
wire   [9:0]   TX_DATA_46_const_net_1;
wire   [9:0]   TX_DATA_47_const_net_1;
wire   [9:0]   TX_DATA_48_const_net_1;
wire   [9:0]   TX_DATA_49_const_net_1;
wire   [9:0]   TX_DATA_50_const_net_1;
wire   [9:0]   TX_DATA_51_const_net_1;
wire   [9:0]   TX_DATA_52_const_net_1;
wire   [9:0]   TX_DATA_53_const_net_1;
wire   [9:0]   TX_DATA_54_const_net_1;
wire   [9:0]   TX_DATA_55_const_net_1;
wire   [9:0]   TX_DATA_56_const_net_1;
wire   [9:0]   TX_DATA_57_const_net_1;
wire   [9:0]   TX_DATA_58_const_net_1;
wire   [9:0]   TX_DATA_59_const_net_1;
wire   [9:0]   TX_DATA_60_const_net_1;
wire   [9:0]   TX_DATA_61_const_net_1;
wire   [9:0]   TX_DATA_62_const_net_1;
wire   [9:0]   TX_DATA_63_const_net_1;
wire   [3:0]   OE_DATA_0_const_net_1;
wire   [3:0]   OE_DATA_1_const_net_1;
wire   [3:0]   OE_DATA_2_const_net_1;
wire   [3:0]   OE_DATA_3_const_net_1;
wire   [3:0]   OE_DATA_4_const_net_1;
wire   [3:0]   OE_DATA_5_const_net_1;
wire   [3:0]   OE_DATA_6_const_net_1;
wire   [3:0]   OE_DATA_7_const_net_1;
wire   [3:0]   OE_DATA_8_const_net_1;
wire   [3:0]   OE_DATA_9_const_net_1;
wire   [3:0]   OE_DATA_10_const_net_1;
wire   [3:0]   OE_DATA_11_const_net_1;
wire   [3:0]   OE_DATA_12_const_net_1;
wire   [3:0]   OE_DATA_13_const_net_1;
wire   [3:0]   OE_DATA_14_const_net_1;
wire   [3:0]   OE_DATA_15_const_net_1;
wire   [3:0]   OE_DATA_16_const_net_1;
wire   [3:0]   OE_DATA_17_const_net_1;
wire   [3:0]   OE_DATA_18_const_net_1;
wire   [3:0]   OE_DATA_19_const_net_1;
wire   [3:0]   OE_DATA_20_const_net_1;
wire   [3:0]   OE_DATA_21_const_net_1;
wire   [3:0]   OE_DATA_22_const_net_1;
wire   [3:0]   OE_DATA_23_const_net_1;
wire   [3:0]   OE_DATA_24_const_net_1;
wire   [3:0]   OE_DATA_25_const_net_1;
wire   [3:0]   OE_DATA_26_const_net_1;
wire   [3:0]   OE_DATA_27_const_net_1;
wire   [3:0]   OE_DATA_28_const_net_1;
wire   [3:0]   OE_DATA_29_const_net_1;
wire   [3:0]   OE_DATA_30_const_net_1;
wire   [3:0]   OE_DATA_31_const_net_1;
wire   [3:0]   OE_DATA_32_const_net_1;
wire   [3:0]   OE_DATA_33_const_net_1;
wire   [3:0]   OE_DATA_34_const_net_1;
wire   [3:0]   OE_DATA_35_const_net_1;
wire   [3:0]   OE_DATA_36_const_net_1;
wire   [3:0]   OE_DATA_37_const_net_1;
wire   [3:0]   OE_DATA_38_const_net_1;
wire   [3:0]   OE_DATA_39_const_net_1;
wire   [3:0]   OE_DATA_40_const_net_1;
wire   [3:0]   OE_DATA_41_const_net_1;
wire   [3:0]   OE_DATA_42_const_net_1;
wire   [3:0]   OE_DATA_43_const_net_1;
wire   [3:0]   OE_DATA_44_const_net_1;
wire   [3:0]   OE_DATA_45_const_net_1;
wire   [3:0]   OE_DATA_46_const_net_1;
wire   [3:0]   OE_DATA_47_const_net_1;
wire   [3:0]   OE_DATA_48_const_net_1;
wire   [3:0]   OE_DATA_49_const_net_1;
wire   [3:0]   OE_DATA_50_const_net_1;
wire   [3:0]   OE_DATA_51_const_net_1;
wire   [3:0]   OE_DATA_52_const_net_1;
wire   [3:0]   OE_DATA_53_const_net_1;
wire   [3:0]   OE_DATA_54_const_net_1;
wire   [3:0]   OE_DATA_55_const_net_1;
wire   [3:0]   OE_DATA_56_const_net_1;
wire   [3:0]   OE_DATA_57_const_net_1;
wire   [3:0]   OE_DATA_58_const_net_1;
wire   [3:0]   OE_DATA_59_const_net_1;
wire   [3:0]   OE_DATA_60_const_net_1;
wire   [3:0]   OE_DATA_61_const_net_1;
wire   [3:0]   OE_DATA_62_const_net_1;
wire   [3:0]   OE_DATA_63_const_net_1;
wire   [1:0]   RX_DQS_90_const_net_2;
wire   [9:0]   TX_DATA_0_const_net_1;
wire   [9:0]   TX_DATA_1_const_net_2;
wire   [9:0]   TX_DATA_2_const_net_2;
wire   [9:0]   TX_DATA_3_const_net_2;
wire   [9:0]   TX_DATA_4_const_net_2;
wire   [9:0]   TX_DATA_5_const_net_2;
wire   [9:0]   TX_DATA_6_const_net_2;
wire   [9:0]   TX_DATA_7_const_net_2;
wire   [9:0]   TX_DATA_8_const_net_2;
wire   [9:0]   TX_DATA_9_const_net_2;
wire   [9:0]   TX_DATA_10_const_net_2;
wire   [9:0]   TX_DATA_11_const_net_2;
wire   [9:0]   TX_DATA_12_const_net_2;
wire   [9:0]   TX_DATA_13_const_net_2;
wire   [9:0]   TX_DATA_14_const_net_2;
wire   [9:0]   TX_DATA_15_const_net_2;
wire   [9:0]   TX_DATA_16_const_net_2;
wire   [9:0]   TX_DATA_17_const_net_2;
wire   [9:0]   TX_DATA_18_const_net_2;
wire   [9:0]   TX_DATA_19_const_net_2;
wire   [9:0]   TX_DATA_20_const_net_2;
wire   [9:0]   TX_DATA_21_const_net_2;
wire   [9:0]   TX_DATA_22_const_net_2;
wire   [9:0]   TX_DATA_23_const_net_2;
wire   [9:0]   TX_DATA_24_const_net_2;
wire   [9:0]   TX_DATA_25_const_net_2;
wire   [9:0]   TX_DATA_26_const_net_2;
wire   [9:0]   TX_DATA_27_const_net_2;
wire   [9:0]   TX_DATA_28_const_net_2;
wire   [9:0]   TX_DATA_29_const_net_2;
wire   [9:0]   TX_DATA_30_const_net_2;
wire   [9:0]   TX_DATA_31_const_net_2;
wire   [9:0]   TX_DATA_32_const_net_2;
wire   [9:0]   TX_DATA_33_const_net_2;
wire   [9:0]   TX_DATA_34_const_net_2;
wire   [9:0]   TX_DATA_35_const_net_2;
wire   [9:0]   TX_DATA_36_const_net_2;
wire   [9:0]   TX_DATA_37_const_net_2;
wire   [9:0]   TX_DATA_38_const_net_2;
wire   [9:0]   TX_DATA_39_const_net_2;
wire   [9:0]   TX_DATA_40_const_net_2;
wire   [9:0]   TX_DATA_41_const_net_2;
wire   [9:0]   TX_DATA_42_const_net_2;
wire   [9:0]   TX_DATA_43_const_net_2;
wire   [9:0]   TX_DATA_44_const_net_2;
wire   [9:0]   TX_DATA_45_const_net_2;
wire   [9:0]   TX_DATA_46_const_net_2;
wire   [9:0]   TX_DATA_47_const_net_2;
wire   [9:0]   TX_DATA_48_const_net_2;
wire   [9:0]   TX_DATA_49_const_net_2;
wire   [9:0]   TX_DATA_50_const_net_2;
wire   [9:0]   TX_DATA_51_const_net_2;
wire   [9:0]   TX_DATA_52_const_net_2;
wire   [9:0]   TX_DATA_53_const_net_2;
wire   [9:0]   TX_DATA_54_const_net_2;
wire   [9:0]   TX_DATA_55_const_net_2;
wire   [9:0]   TX_DATA_56_const_net_2;
wire   [9:0]   TX_DATA_57_const_net_2;
wire   [9:0]   TX_DATA_58_const_net_2;
wire   [9:0]   TX_DATA_59_const_net_2;
wire   [9:0]   TX_DATA_60_const_net_2;
wire   [9:0]   TX_DATA_61_const_net_2;
wire   [9:0]   TX_DATA_62_const_net_2;
wire   [9:0]   TX_DATA_63_const_net_2;
wire   [3:0]   OE_DATA_0_const_net_2;
wire   [3:0]   OE_DATA_1_const_net_2;
wire   [3:0]   OE_DATA_2_const_net_2;
wire   [3:0]   OE_DATA_3_const_net_2;
wire   [3:0]   OE_DATA_4_const_net_2;
wire   [3:0]   OE_DATA_5_const_net_2;
wire   [3:0]   OE_DATA_6_const_net_2;
wire   [3:0]   OE_DATA_7_const_net_2;
wire   [3:0]   OE_DATA_8_const_net_2;
wire   [3:0]   OE_DATA_9_const_net_2;
wire   [3:0]   OE_DATA_10_const_net_2;
wire   [3:0]   OE_DATA_11_const_net_2;
wire   [3:0]   OE_DATA_12_const_net_2;
wire   [3:0]   OE_DATA_13_const_net_2;
wire   [3:0]   OE_DATA_14_const_net_2;
wire   [3:0]   OE_DATA_15_const_net_2;
wire   [3:0]   OE_DATA_16_const_net_2;
wire   [3:0]   OE_DATA_17_const_net_2;
wire   [3:0]   OE_DATA_18_const_net_2;
wire   [3:0]   OE_DATA_19_const_net_2;
wire   [3:0]   OE_DATA_20_const_net_2;
wire   [3:0]   OE_DATA_21_const_net_2;
wire   [3:0]   OE_DATA_22_const_net_2;
wire   [3:0]   OE_DATA_23_const_net_2;
wire   [3:0]   OE_DATA_24_const_net_2;
wire   [3:0]   OE_DATA_25_const_net_2;
wire   [3:0]   OE_DATA_26_const_net_2;
wire   [3:0]   OE_DATA_27_const_net_2;
wire   [3:0]   OE_DATA_28_const_net_2;
wire   [3:0]   OE_DATA_29_const_net_2;
wire   [3:0]   OE_DATA_30_const_net_2;
wire   [3:0]   OE_DATA_31_const_net_2;
wire   [3:0]   OE_DATA_32_const_net_2;
wire   [3:0]   OE_DATA_33_const_net_2;
wire   [3:0]   OE_DATA_34_const_net_2;
wire   [3:0]   OE_DATA_35_const_net_2;
wire   [3:0]   OE_DATA_36_const_net_2;
wire   [3:0]   OE_DATA_37_const_net_2;
wire   [3:0]   OE_DATA_38_const_net_2;
wire   [3:0]   OE_DATA_39_const_net_2;
wire   [3:0]   OE_DATA_40_const_net_2;
wire   [3:0]   OE_DATA_41_const_net_2;
wire   [3:0]   OE_DATA_42_const_net_2;
wire   [3:0]   OE_DATA_43_const_net_2;
wire   [3:0]   OE_DATA_44_const_net_2;
wire   [3:0]   OE_DATA_45_const_net_2;
wire   [3:0]   OE_DATA_46_const_net_2;
wire   [3:0]   OE_DATA_47_const_net_2;
wire   [3:0]   OE_DATA_48_const_net_2;
wire   [3:0]   OE_DATA_49_const_net_2;
wire   [3:0]   OE_DATA_50_const_net_2;
wire   [3:0]   OE_DATA_51_const_net_2;
wire   [3:0]   OE_DATA_52_const_net_2;
wire   [3:0]   OE_DATA_53_const_net_2;
wire   [3:0]   OE_DATA_54_const_net_2;
wire   [3:0]   OE_DATA_55_const_net_2;
wire   [3:0]   OE_DATA_56_const_net_2;
wire   [3:0]   OE_DATA_57_const_net_2;
wire   [3:0]   OE_DATA_58_const_net_2;
wire   [3:0]   OE_DATA_59_const_net_2;
wire   [3:0]   OE_DATA_60_const_net_2;
wire   [3:0]   OE_DATA_61_const_net_2;
wire   [3:0]   OE_DATA_62_const_net_2;
wire   [3:0]   OE_DATA_63_const_net_2;
wire   [1:0]   RX_DQS_90_const_net_3;
wire   [2:0]   FIFO_WR_PTR_const_net_1;
wire   [2:0]   FIFO_RD_PTR_const_net_1;
wire   [2:0]   EYE_MONITOR_LANE_WIDTH_const_net_1;
wire   [9:0]   TX_DATA_1_const_net_3;
wire   [9:0]   TX_DATA_2_const_net_3;
wire   [9:0]   TX_DATA_3_const_net_3;
wire   [9:0]   TX_DATA_4_const_net_3;
wire   [9:0]   TX_DATA_5_const_net_3;
wire   [9:0]   TX_DATA_6_const_net_3;
wire   [9:0]   TX_DATA_7_const_net_3;
wire   [9:0]   TX_DATA_8_const_net_3;
wire   [9:0]   TX_DATA_9_const_net_3;
wire   [9:0]   TX_DATA_10_const_net_3;
wire   [9:0]   TX_DATA_11_const_net_3;
wire   [9:0]   TX_DATA_12_const_net_3;
wire   [9:0]   TX_DATA_13_const_net_3;
wire   [9:0]   TX_DATA_14_const_net_3;
wire   [9:0]   TX_DATA_15_const_net_3;
wire   [9:0]   TX_DATA_16_const_net_3;
wire   [9:0]   TX_DATA_17_const_net_3;
wire   [9:0]   TX_DATA_18_const_net_3;
wire   [9:0]   TX_DATA_19_const_net_3;
wire   [9:0]   TX_DATA_20_const_net_3;
wire   [9:0]   TX_DATA_21_const_net_3;
wire   [9:0]   TX_DATA_22_const_net_3;
wire   [9:0]   TX_DATA_23_const_net_3;
wire   [9:0]   TX_DATA_24_const_net_3;
wire   [9:0]   TX_DATA_25_const_net_3;
wire   [9:0]   TX_DATA_26_const_net_3;
wire   [9:0]   TX_DATA_27_const_net_3;
wire   [9:0]   TX_DATA_28_const_net_3;
wire   [9:0]   TX_DATA_29_const_net_3;
wire   [9:0]   TX_DATA_30_const_net_3;
wire   [9:0]   TX_DATA_31_const_net_3;
wire   [9:0]   TX_DATA_32_const_net_3;
wire   [9:0]   TX_DATA_33_const_net_3;
wire   [9:0]   TX_DATA_34_const_net_3;
wire   [9:0]   TX_DATA_35_const_net_3;
wire   [9:0]   TX_DATA_36_const_net_3;
wire   [9:0]   TX_DATA_37_const_net_3;
wire   [9:0]   TX_DATA_38_const_net_3;
wire   [9:0]   TX_DATA_39_const_net_3;
wire   [9:0]   TX_DATA_40_const_net_3;
wire   [9:0]   TX_DATA_41_const_net_3;
wire   [9:0]   TX_DATA_42_const_net_3;
wire   [9:0]   TX_DATA_43_const_net_3;
wire   [9:0]   TX_DATA_44_const_net_3;
wire   [9:0]   TX_DATA_45_const_net_3;
wire   [9:0]   TX_DATA_46_const_net_3;
wire   [9:0]   TX_DATA_47_const_net_3;
wire   [9:0]   TX_DATA_48_const_net_3;
wire   [9:0]   TX_DATA_49_const_net_3;
wire   [9:0]   TX_DATA_50_const_net_3;
wire   [9:0]   TX_DATA_51_const_net_3;
wire   [9:0]   TX_DATA_52_const_net_3;
wire   [9:0]   TX_DATA_53_const_net_3;
wire   [9:0]   TX_DATA_54_const_net_3;
wire   [9:0]   TX_DATA_55_const_net_3;
wire   [9:0]   TX_DATA_56_const_net_3;
wire   [9:0]   TX_DATA_57_const_net_3;
wire   [9:0]   TX_DATA_58_const_net_3;
wire   [9:0]   TX_DATA_59_const_net_3;
wire   [9:0]   TX_DATA_60_const_net_3;
wire   [9:0]   TX_DATA_61_const_net_3;
wire   [9:0]   TX_DATA_62_const_net_3;
wire   [9:0]   TX_DATA_63_const_net_3;
wire   [3:0]   OE_DATA_1_const_net_3;
wire   [3:0]   OE_DATA_2_const_net_3;
wire   [3:0]   OE_DATA_3_const_net_3;
wire   [3:0]   OE_DATA_4_const_net_3;
wire   [3:0]   OE_DATA_5_const_net_3;
wire   [3:0]   OE_DATA_6_const_net_3;
wire   [3:0]   OE_DATA_7_const_net_3;
wire   [3:0]   OE_DATA_8_const_net_3;
wire   [3:0]   OE_DATA_9_const_net_3;
wire   [3:0]   OE_DATA_10_const_net_3;
wire   [3:0]   OE_DATA_11_const_net_3;
wire   [3:0]   OE_DATA_12_const_net_3;
wire   [3:0]   OE_DATA_13_const_net_3;
wire   [3:0]   OE_DATA_14_const_net_3;
wire   [3:0]   OE_DATA_15_const_net_3;
wire   [3:0]   OE_DATA_16_const_net_3;
wire   [3:0]   OE_DATA_17_const_net_3;
wire   [3:0]   OE_DATA_18_const_net_3;
wire   [3:0]   OE_DATA_19_const_net_3;
wire   [3:0]   OE_DATA_20_const_net_3;
wire   [3:0]   OE_DATA_21_const_net_3;
wire   [3:0]   OE_DATA_22_const_net_3;
wire   [3:0]   OE_DATA_23_const_net_3;
wire   [3:0]   OE_DATA_24_const_net_3;
wire   [3:0]   OE_DATA_25_const_net_3;
wire   [3:0]   OE_DATA_26_const_net_3;
wire   [3:0]   OE_DATA_27_const_net_3;
wire   [3:0]   OE_DATA_28_const_net_3;
wire   [3:0]   OE_DATA_29_const_net_3;
wire   [3:0]   OE_DATA_30_const_net_3;
wire   [3:0]   OE_DATA_31_const_net_3;
wire   [3:0]   OE_DATA_32_const_net_3;
wire   [3:0]   OE_DATA_33_const_net_3;
wire   [3:0]   OE_DATA_34_const_net_3;
wire   [3:0]   OE_DATA_35_const_net_3;
wire   [3:0]   OE_DATA_36_const_net_3;
wire   [3:0]   OE_DATA_37_const_net_3;
wire   [3:0]   OE_DATA_38_const_net_3;
wire   [3:0]   OE_DATA_39_const_net_3;
wire   [3:0]   OE_DATA_40_const_net_3;
wire   [3:0]   OE_DATA_41_const_net_3;
wire   [3:0]   OE_DATA_42_const_net_3;
wire   [3:0]   OE_DATA_43_const_net_3;
wire   [3:0]   OE_DATA_44_const_net_3;
wire   [3:0]   OE_DATA_45_const_net_3;
wire   [3:0]   OE_DATA_46_const_net_3;
wire   [3:0]   OE_DATA_47_const_net_3;
wire   [3:0]   OE_DATA_48_const_net_3;
wire   [3:0]   OE_DATA_49_const_net_3;
wire   [3:0]   OE_DATA_50_const_net_3;
wire   [3:0]   OE_DATA_51_const_net_3;
wire   [3:0]   OE_DATA_52_const_net_3;
wire   [3:0]   OE_DATA_53_const_net_3;
wire   [3:0]   OE_DATA_54_const_net_3;
wire   [3:0]   OE_DATA_55_const_net_3;
wire   [3:0]   OE_DATA_56_const_net_3;
wire   [3:0]   OE_DATA_57_const_net_3;
wire   [3:0]   OE_DATA_58_const_net_3;
wire   [3:0]   OE_DATA_59_const_net_3;
wire   [3:0]   OE_DATA_60_const_net_3;
wire   [3:0]   OE_DATA_61_const_net_3;
wire   [3:0]   OE_DATA_62_const_net_3;
wire   [3:0]   OE_DATA_63_const_net_3;
wire   [7:0]   DLL_CODE_const_net_0;
wire   [2:0]   READ_CLK_SEL_const_net_1;
wire   [2:0]   EYE_MONITOR_WIDTH_IN_const_net_0;
wire   [7:0]   CDR_CLK_A_SEL_const_net_0;
wire   [10:0]  CDR_CLK_B_SEL_const_net_0;
//--------------------------------------------------------------------
// Inverted Nets
//--------------------------------------------------------------------
wire           RESET_IN_POST_INV0_0;
wire           RESET_IN_POST_INV1_0;
//--------------------------------------------------------------------
// Constant assignments
//--------------------------------------------------------------------
assign GND_net                            = 1'b0;
assign OE_DATA_0_const_net_0              = 4'hF;
assign READ_CLK_SEL_const_net_0           = 3'h0;
assign VCC_net                            = 1'b1;
assign RX_DQS_90_const_net_0              = 2'h0;
assign FIFO_WR_PTR_const_net_0            = 3'h0;
assign FIFO_RD_PTR_const_net_0            = 3'h0;
assign EYE_MONITOR_LANE_WIDTH_const_net_0 = 3'h0;
assign TX_DATA_1_const_net_0              = 8'h00;
assign TX_DATA_2_const_net_0              = 8'h00;
assign TX_DATA_3_const_net_0              = 8'h00;
assign TX_DATA_4_const_net_0              = 8'h00;
assign TX_DATA_5_const_net_0              = 8'h00;
assign TX_DATA_6_const_net_0              = 8'h00;
assign TX_DATA_7_const_net_0              = 8'h00;
assign TX_DATA_8_const_net_0              = 8'h00;
assign TX_DATA_9_const_net_0              = 8'h00;
assign TX_DATA_10_const_net_0             = 8'h00;
assign TX_DATA_11_const_net_0             = 8'h00;
assign TX_DATA_12_const_net_0             = 8'h00;
assign TX_DATA_13_const_net_0             = 8'h00;
assign TX_DATA_14_const_net_0             = 8'h00;
assign TX_DATA_15_const_net_0             = 8'h00;
assign TX_DATA_16_const_net_0             = 8'h00;
assign TX_DATA_17_const_net_0             = 8'h00;
assign TX_DATA_18_const_net_0             = 8'h00;
assign TX_DATA_19_const_net_0             = 8'h00;
assign TX_DATA_20_const_net_0             = 8'h00;
assign TX_DATA_21_const_net_0             = 8'h00;
assign TX_DATA_22_const_net_0             = 8'h00;
assign TX_DATA_23_const_net_0             = 8'h00;
assign TX_DATA_24_const_net_0             = 8'h00;
assign TX_DATA_25_const_net_0             = 8'h00;
assign TX_DATA_26_const_net_0             = 8'h00;
assign TX_DATA_27_const_net_0             = 8'h00;
assign TX_DATA_28_const_net_0             = 8'h00;
assign TX_DATA_29_const_net_0             = 8'h00;
assign TX_DATA_30_const_net_0             = 8'h00;
assign TX_DATA_31_const_net_0             = 8'h00;
assign TX_DATA_32_const_net_0             = 8'h00;
assign TX_DATA_33_const_net_0             = 8'h00;
assign TX_DATA_34_const_net_0             = 8'h00;
assign TX_DATA_35_const_net_0             = 8'h00;
assign TX_DATA_36_const_net_0             = 8'h00;
assign TX_DATA_37_const_net_0             = 8'h00;
assign TX_DATA_38_const_net_0             = 8'h00;
assign TX_DATA_39_const_net_0             = 8'h00;
assign TX_DATA_40_const_net_0             = 8'h00;
assign TX_DATA_41_const_net_0             = 8'h00;
assign TX_DATA_42_const_net_0             = 8'h00;
assign TX_DATA_43_const_net_0             = 8'h00;
assign TX_DATA_44_const_net_0             = 8'h00;
assign TX_DATA_45_const_net_0             = 8'h00;
assign TX_DATA_46_const_net_0             = 8'h00;
assign TX_DATA_47_const_net_0             = 8'h00;
assign TX_DATA_48_const_net_0             = 8'h00;
assign TX_DATA_49_const_net_0             = 8'h00;
assign TX_DATA_50_const_net_0             = 8'h00;
assign TX_DATA_51_const_net_0             = 8'h00;
assign TX_DATA_52_const_net_0             = 8'h00;
assign TX_DATA_53_const_net_0             = 8'h00;
assign TX_DATA_54_const_net_0             = 8'h00;
assign TX_DATA_55_const_net_0             = 8'h00;
assign TX_DATA_56_const_net_0             = 8'h00;
assign TX_DATA_57_const_net_0             = 8'h00;
assign TX_DATA_58_const_net_0             = 8'h00;
assign TX_DATA_59_const_net_0             = 8'h00;
assign TX_DATA_60_const_net_0             = 8'h00;
assign TX_DATA_61_const_net_0             = 8'h00;
assign TX_DATA_62_const_net_0             = 8'h00;
assign TX_DATA_63_const_net_0             = 8'h00;
assign OE_DATA_1_const_net_0              = 4'h0;
assign OE_DATA_2_const_net_0              = 4'h0;
assign OE_DATA_3_const_net_0              = 4'h0;
assign OE_DATA_4_const_net_0              = 4'h0;
assign OE_DATA_5_const_net_0              = 4'h0;
assign OE_DATA_6_const_net_0              = 4'h0;
assign OE_DATA_7_const_net_0              = 4'h0;
assign OE_DATA_8_const_net_0              = 4'h0;
assign OE_DATA_9_const_net_0              = 4'h0;
assign OE_DATA_10_const_net_0             = 4'h0;
assign OE_DATA_11_const_net_0             = 4'h0;
assign OE_DATA_12_const_net_0             = 4'h0;
assign OE_DATA_13_const_net_0             = 4'h0;
assign OE_DATA_14_const_net_0             = 4'h0;
assign OE_DATA_15_const_net_0             = 4'h0;
assign OE_DATA_16_const_net_0             = 4'h0;
assign OE_DATA_17_const_net_0             = 4'h0;
assign OE_DATA_18_const_net_0             = 4'h0;
assign OE_DATA_19_const_net_0             = 4'h0;
assign OE_DATA_20_const_net_0             = 4'h0;
assign OE_DATA_21_const_net_0             = 4'h0;
assign OE_DATA_22_const_net_0             = 4'h0;
assign OE_DATA_23_const_net_0             = 4'h0;
assign OE_DATA_24_const_net_0             = 4'h0;
assign OE_DATA_25_const_net_0             = 4'h0;
assign OE_DATA_26_const_net_0             = 4'h0;
assign OE_DATA_27_const_net_0             = 4'h0;
assign OE_DATA_28_const_net_0             = 4'h0;
assign OE_DATA_29_const_net_0             = 4'h0;
assign OE_DATA_30_const_net_0             = 4'h0;
assign OE_DATA_31_const_net_0             = 4'h0;
assign OE_DATA_32_const_net_0             = 4'h0;
assign OE_DATA_33_const_net_0             = 4'h0;
assign OE_DATA_34_const_net_0             = 4'h0;
assign OE_DATA_35_const_net_0             = 4'h0;
assign OE_DATA_36_const_net_0             = 4'h0;
assign OE_DATA_37_const_net_0             = 4'h0;
assign OE_DATA_38_const_net_0             = 4'h0;
assign OE_DATA_39_const_net_0             = 4'h0;
assign OE_DATA_40_const_net_0             = 4'h0;
assign OE_DATA_41_const_net_0             = 4'h0;
assign OE_DATA_42_const_net_0             = 4'h0;
assign OE_DATA_43_const_net_0             = 4'h0;
assign OE_DATA_44_const_net_0             = 4'h0;
assign OE_DATA_45_const_net_0             = 4'h0;
assign OE_DATA_46_const_net_0             = 4'h0;
assign OE_DATA_47_const_net_0             = 4'h0;
assign OE_DATA_48_const_net_0             = 4'h0;
assign OE_DATA_49_const_net_0             = 4'h0;
assign OE_DATA_50_const_net_0             = 4'h0;
assign OE_DATA_51_const_net_0             = 4'h0;
assign OE_DATA_52_const_net_0             = 4'h0;
assign OE_DATA_53_const_net_0             = 4'h0;
assign OE_DATA_54_const_net_0             = 4'h0;
assign OE_DATA_55_const_net_0             = 4'h0;
assign OE_DATA_56_const_net_0             = 4'h0;
assign OE_DATA_57_const_net_0             = 4'h0;
assign OE_DATA_58_const_net_0             = 4'h0;
assign OE_DATA_59_const_net_0             = 4'h0;
assign OE_DATA_60_const_net_0             = 4'h0;
assign OE_DATA_61_const_net_0             = 4'h0;
assign OE_DATA_62_const_net_0             = 4'h0;
assign OE_DATA_63_const_net_0             = 4'h0;
assign RX_DQS_90_const_net_1              = 2'h0;
assign TX_DATA_0_const_net_0              = 10'h000;
assign TX_DATA_1_const_net_1              = 10'h000;
assign TX_DATA_2_const_net_1              = 10'h000;
assign TX_DATA_3_const_net_1              = 10'h000;
assign TX_DATA_4_const_net_1              = 10'h000;
assign TX_DATA_5_const_net_1              = 10'h000;
assign TX_DATA_6_const_net_1              = 10'h000;
assign TX_DATA_7_const_net_1              = 10'h000;
assign TX_DATA_8_const_net_1              = 10'h000;
assign TX_DATA_9_const_net_1              = 10'h000;
assign TX_DATA_10_const_net_1             = 10'h000;
assign TX_DATA_11_const_net_1             = 10'h000;
assign TX_DATA_12_const_net_1             = 10'h000;
assign TX_DATA_13_const_net_1             = 10'h000;
assign TX_DATA_14_const_net_1             = 10'h000;
assign TX_DATA_15_const_net_1             = 10'h000;
assign TX_DATA_16_const_net_1             = 10'h000;
assign TX_DATA_17_const_net_1             = 10'h000;
assign TX_DATA_18_const_net_1             = 10'h000;
assign TX_DATA_19_const_net_1             = 10'h000;
assign TX_DATA_20_const_net_1             = 10'h000;
assign TX_DATA_21_const_net_1             = 10'h000;
assign TX_DATA_22_const_net_1             = 10'h000;
assign TX_DATA_23_const_net_1             = 10'h000;
assign TX_DATA_24_const_net_1             = 10'h000;
assign TX_DATA_25_const_net_1             = 10'h000;
assign TX_DATA_26_const_net_1             = 10'h000;
assign TX_DATA_27_const_net_1             = 10'h000;
assign TX_DATA_28_const_net_1             = 10'h000;
assign TX_DATA_29_const_net_1             = 10'h000;
assign TX_DATA_30_const_net_1             = 10'h000;
assign TX_DATA_31_const_net_1             = 10'h000;
assign TX_DATA_32_const_net_1             = 10'h000;
assign TX_DATA_33_const_net_1             = 10'h000;
assign TX_DATA_34_const_net_1             = 10'h000;
assign TX_DATA_35_const_net_1             = 10'h000;
assign TX_DATA_36_const_net_1             = 10'h000;
assign TX_DATA_37_const_net_1             = 10'h000;
assign TX_DATA_38_const_net_1             = 10'h000;
assign TX_DATA_39_const_net_1             = 10'h000;
assign TX_DATA_40_const_net_1             = 10'h000;
assign TX_DATA_41_const_net_1             = 10'h000;
assign TX_DATA_42_const_net_1             = 10'h000;
assign TX_DATA_43_const_net_1             = 10'h000;
assign TX_DATA_44_const_net_1             = 10'h000;
assign TX_DATA_45_const_net_1             = 10'h000;
assign TX_DATA_46_const_net_1             = 10'h000;
assign TX_DATA_47_const_net_1             = 10'h000;
assign TX_DATA_48_const_net_1             = 10'h000;
assign TX_DATA_49_const_net_1             = 10'h000;
assign TX_DATA_50_const_net_1             = 10'h000;
assign TX_DATA_51_const_net_1             = 10'h000;
assign TX_DATA_52_const_net_1             = 10'h000;
assign TX_DATA_53_const_net_1             = 10'h000;
assign TX_DATA_54_const_net_1             = 10'h000;
assign TX_DATA_55_const_net_1             = 10'h000;
assign TX_DATA_56_const_net_1             = 10'h000;
assign TX_DATA_57_const_net_1             = 10'h000;
assign TX_DATA_58_const_net_1             = 10'h000;
assign TX_DATA_59_const_net_1             = 10'h000;
assign TX_DATA_60_const_net_1             = 10'h000;
assign TX_DATA_61_const_net_1             = 10'h000;
assign TX_DATA_62_const_net_1             = 10'h000;
assign TX_DATA_63_const_net_1             = 10'h000;
assign OE_DATA_0_const_net_1              = 4'h0;
assign OE_DATA_1_const_net_1              = 4'h0;
assign OE_DATA_2_const_net_1              = 4'h0;
assign OE_DATA_3_const_net_1              = 4'h0;
assign OE_DATA_4_const_net_1              = 4'h0;
assign OE_DATA_5_const_net_1              = 4'h0;
assign OE_DATA_6_const_net_1              = 4'h0;
assign OE_DATA_7_const_net_1              = 4'h0;
assign OE_DATA_8_const_net_1              = 4'h0;
assign OE_DATA_9_const_net_1              = 4'h0;
assign OE_DATA_10_const_net_1             = 4'h0;
assign OE_DATA_11_const_net_1             = 4'h0;
assign OE_DATA_12_const_net_1             = 4'h0;
assign OE_DATA_13_const_net_1             = 4'h0;
assign OE_DATA_14_const_net_1             = 4'h0;
assign OE_DATA_15_const_net_1             = 4'h0;
assign OE_DATA_16_const_net_1             = 4'h0;
assign OE_DATA_17_const_net_1             = 4'h0;
assign OE_DATA_18_const_net_1             = 4'h0;
assign OE_DATA_19_const_net_1             = 4'h0;
assign OE_DATA_20_const_net_1             = 4'h0;
assign OE_DATA_21_const_net_1             = 4'h0;
assign OE_DATA_22_const_net_1             = 4'h0;
assign OE_DATA_23_const_net_1             = 4'h0;
assign OE_DATA_24_const_net_1             = 4'h0;
assign OE_DATA_25_const_net_1             = 4'h0;
assign OE_DATA_26_const_net_1             = 4'h0;
assign OE_DATA_27_const_net_1             = 4'h0;
assign OE_DATA_28_const_net_1             = 4'h0;
assign OE_DATA_29_const_net_1             = 4'h0;
assign OE_DATA_30_const_net_1             = 4'h0;
assign OE_DATA_31_const_net_1             = 4'h0;
assign OE_DATA_32_const_net_1             = 4'h0;
assign OE_DATA_33_const_net_1             = 4'h0;
assign OE_DATA_34_const_net_1             = 4'h0;
assign OE_DATA_35_const_net_1             = 4'h0;
assign OE_DATA_36_const_net_1             = 4'h0;
assign OE_DATA_37_const_net_1             = 4'h0;
assign OE_DATA_38_const_net_1             = 4'h0;
assign OE_DATA_39_const_net_1             = 4'h0;
assign OE_DATA_40_const_net_1             = 4'h0;
assign OE_DATA_41_const_net_1             = 4'h0;
assign OE_DATA_42_const_net_1             = 4'h0;
assign OE_DATA_43_const_net_1             = 4'h0;
assign OE_DATA_44_const_net_1             = 4'h0;
assign OE_DATA_45_const_net_1             = 4'h0;
assign OE_DATA_46_const_net_1             = 4'h0;
assign OE_DATA_47_const_net_1             = 4'h0;
assign OE_DATA_48_const_net_1             = 4'h0;
assign OE_DATA_49_const_net_1             = 4'h0;
assign OE_DATA_50_const_net_1             = 4'h0;
assign OE_DATA_51_const_net_1             = 4'h0;
assign OE_DATA_52_const_net_1             = 4'h0;
assign OE_DATA_53_const_net_1             = 4'h0;
assign OE_DATA_54_const_net_1             = 4'h0;
assign OE_DATA_55_const_net_1             = 4'h0;
assign OE_DATA_56_const_net_1             = 4'h0;
assign OE_DATA_57_const_net_1             = 4'h0;
assign OE_DATA_58_const_net_1             = 4'h0;
assign OE_DATA_59_const_net_1             = 4'h0;
assign OE_DATA_60_const_net_1             = 4'h0;
assign OE_DATA_61_const_net_1             = 4'h0;
assign OE_DATA_62_const_net_1             = 4'h0;
assign OE_DATA_63_const_net_1             = 4'h0;
assign RX_DQS_90_const_net_2              = 2'h0;
assign TX_DATA_0_const_net_1              = 10'h000;
assign TX_DATA_1_const_net_2              = 10'h000;
assign TX_DATA_2_const_net_2              = 10'h000;
assign TX_DATA_3_const_net_2              = 10'h000;
assign TX_DATA_4_const_net_2              = 10'h000;
assign TX_DATA_5_const_net_2              = 10'h000;
assign TX_DATA_6_const_net_2              = 10'h000;
assign TX_DATA_7_const_net_2              = 10'h000;
assign TX_DATA_8_const_net_2              = 10'h000;
assign TX_DATA_9_const_net_2              = 10'h000;
assign TX_DATA_10_const_net_2             = 10'h000;
assign TX_DATA_11_const_net_2             = 10'h000;
assign TX_DATA_12_const_net_2             = 10'h000;
assign TX_DATA_13_const_net_2             = 10'h000;
assign TX_DATA_14_const_net_2             = 10'h000;
assign TX_DATA_15_const_net_2             = 10'h000;
assign TX_DATA_16_const_net_2             = 10'h000;
assign TX_DATA_17_const_net_2             = 10'h000;
assign TX_DATA_18_const_net_2             = 10'h000;
assign TX_DATA_19_const_net_2             = 10'h000;
assign TX_DATA_20_const_net_2             = 10'h000;
assign TX_DATA_21_const_net_2             = 10'h000;
assign TX_DATA_22_const_net_2             = 10'h000;
assign TX_DATA_23_const_net_2             = 10'h000;
assign TX_DATA_24_const_net_2             = 10'h000;
assign TX_DATA_25_const_net_2             = 10'h000;
assign TX_DATA_26_const_net_2             = 10'h000;
assign TX_DATA_27_const_net_2             = 10'h000;
assign TX_DATA_28_const_net_2             = 10'h000;
assign TX_DATA_29_const_net_2             = 10'h000;
assign TX_DATA_30_const_net_2             = 10'h000;
assign TX_DATA_31_const_net_2             = 10'h000;
assign TX_DATA_32_const_net_2             = 10'h000;
assign TX_DATA_33_const_net_2             = 10'h000;
assign TX_DATA_34_const_net_2             = 10'h000;
assign TX_DATA_35_const_net_2             = 10'h000;
assign TX_DATA_36_const_net_2             = 10'h000;
assign TX_DATA_37_const_net_2             = 10'h000;
assign TX_DATA_38_const_net_2             = 10'h000;
assign TX_DATA_39_const_net_2             = 10'h000;
assign TX_DATA_40_const_net_2             = 10'h000;
assign TX_DATA_41_const_net_2             = 10'h000;
assign TX_DATA_42_const_net_2             = 10'h000;
assign TX_DATA_43_const_net_2             = 10'h000;
assign TX_DATA_44_const_net_2             = 10'h000;
assign TX_DATA_45_const_net_2             = 10'h000;
assign TX_DATA_46_const_net_2             = 10'h000;
assign TX_DATA_47_const_net_2             = 10'h000;
assign TX_DATA_48_const_net_2             = 10'h000;
assign TX_DATA_49_const_net_2             = 10'h000;
assign TX_DATA_50_const_net_2             = 10'h000;
assign TX_DATA_51_const_net_2             = 10'h000;
assign TX_DATA_52_const_net_2             = 10'h000;
assign TX_DATA_53_const_net_2             = 10'h000;
assign TX_DATA_54_const_net_2             = 10'h000;
assign TX_DATA_55_const_net_2             = 10'h000;
assign TX_DATA_56_const_net_2             = 10'h000;
assign TX_DATA_57_const_net_2             = 10'h000;
assign TX_DATA_58_const_net_2             = 10'h000;
assign TX_DATA_59_const_net_2             = 10'h000;
assign TX_DATA_60_const_net_2             = 10'h000;
assign TX_DATA_61_const_net_2             = 10'h000;
assign TX_DATA_62_const_net_2             = 10'h000;
assign TX_DATA_63_const_net_2             = 10'h000;
assign OE_DATA_0_const_net_2              = 4'h0;
assign OE_DATA_1_const_net_2              = 4'h0;
assign OE_DATA_2_const_net_2              = 4'h0;
assign OE_DATA_3_const_net_2              = 4'h0;
assign OE_DATA_4_const_net_2              = 4'h0;
assign OE_DATA_5_const_net_2              = 4'h0;
assign OE_DATA_6_const_net_2              = 4'h0;
assign OE_DATA_7_const_net_2              = 4'h0;
assign OE_DATA_8_const_net_2              = 4'h0;
assign OE_DATA_9_const_net_2              = 4'h0;
assign OE_DATA_10_const_net_2             = 4'h0;
assign OE_DATA_11_const_net_2             = 4'h0;
assign OE_DATA_12_const_net_2             = 4'h0;
assign OE_DATA_13_const_net_2             = 4'h0;
assign OE_DATA_14_const_net_2             = 4'h0;
assign OE_DATA_15_const_net_2             = 4'h0;
assign OE_DATA_16_const_net_2             = 4'h0;
assign OE_DATA_17_const_net_2             = 4'h0;
assign OE_DATA_18_const_net_2             = 4'h0;
assign OE_DATA_19_const_net_2             = 4'h0;
assign OE_DATA_20_const_net_2             = 4'h0;
assign OE_DATA_21_const_net_2             = 4'h0;
assign OE_DATA_22_const_net_2             = 4'h0;
assign OE_DATA_23_const_net_2             = 4'h0;
assign OE_DATA_24_const_net_2             = 4'h0;
assign OE_DATA_25_const_net_2             = 4'h0;
assign OE_DATA_26_const_net_2             = 4'h0;
assign OE_DATA_27_const_net_2             = 4'h0;
assign OE_DATA_28_const_net_2             = 4'h0;
assign OE_DATA_29_const_net_2             = 4'h0;
assign OE_DATA_30_const_net_2             = 4'h0;
assign OE_DATA_31_const_net_2             = 4'h0;
assign OE_DATA_32_const_net_2             = 4'h0;
assign OE_DATA_33_const_net_2             = 4'h0;
assign OE_DATA_34_const_net_2             = 4'h0;
assign OE_DATA_35_const_net_2             = 4'h0;
assign OE_DATA_36_const_net_2             = 4'h0;
assign OE_DATA_37_const_net_2             = 4'h0;
assign OE_DATA_38_const_net_2             = 4'h0;
assign OE_DATA_39_const_net_2             = 4'h0;
assign OE_DATA_40_const_net_2             = 4'h0;
assign OE_DATA_41_const_net_2             = 4'h0;
assign OE_DATA_42_const_net_2             = 4'h0;
assign OE_DATA_43_const_net_2             = 4'h0;
assign OE_DATA_44_const_net_2             = 4'h0;
assign OE_DATA_45_const_net_2             = 4'h0;
assign OE_DATA_46_const_net_2             = 4'h0;
assign OE_DATA_47_const_net_2             = 4'h0;
assign OE_DATA_48_const_net_2             = 4'h0;
assign OE_DATA_49_const_net_2             = 4'h0;
assign OE_DATA_50_const_net_2             = 4'h0;
assign OE_DATA_51_const_net_2             = 4'h0;
assign OE_DATA_52_const_net_2             = 4'h0;
assign OE_DATA_53_const_net_2             = 4'h0;
assign OE_DATA_54_const_net_2             = 4'h0;
assign OE_DATA_55_const_net_2             = 4'h0;
assign OE_DATA_56_const_net_2             = 4'h0;
assign OE_DATA_57_const_net_2             = 4'h0;
assign OE_DATA_58_const_net_2             = 4'h0;
assign OE_DATA_59_const_net_2             = 4'h0;
assign OE_DATA_60_const_net_2             = 4'h0;
assign OE_DATA_61_const_net_2             = 4'h0;
assign OE_DATA_62_const_net_2             = 4'h0;
assign OE_DATA_63_const_net_2             = 4'h0;
assign RX_DQS_90_const_net_3              = 2'h0;
assign FIFO_WR_PTR_const_net_1            = 3'h0;
assign FIFO_RD_PTR_const_net_1            = 3'h0;
assign EYE_MONITOR_LANE_WIDTH_const_net_1 = 3'h0;
assign TX_DATA_1_const_net_3              = 10'h000;
assign TX_DATA_2_const_net_3              = 10'h000;
assign TX_DATA_3_const_net_3              = 10'h000;
assign TX_DATA_4_const_net_3              = 10'h000;
assign TX_DATA_5_const_net_3              = 10'h000;
assign TX_DATA_6_const_net_3              = 10'h000;
assign TX_DATA_7_const_net_3              = 10'h000;
assign TX_DATA_8_const_net_3              = 10'h000;
assign TX_DATA_9_const_net_3              = 10'h000;
assign TX_DATA_10_const_net_3             = 10'h000;
assign TX_DATA_11_const_net_3             = 10'h000;
assign TX_DATA_12_const_net_3             = 10'h000;
assign TX_DATA_13_const_net_3             = 10'h000;
assign TX_DATA_14_const_net_3             = 10'h000;
assign TX_DATA_15_const_net_3             = 10'h000;
assign TX_DATA_16_const_net_3             = 10'h000;
assign TX_DATA_17_const_net_3             = 10'h000;
assign TX_DATA_18_const_net_3             = 10'h000;
assign TX_DATA_19_const_net_3             = 10'h000;
assign TX_DATA_20_const_net_3             = 10'h000;
assign TX_DATA_21_const_net_3             = 10'h000;
assign TX_DATA_22_const_net_3             = 10'h000;
assign TX_DATA_23_const_net_3             = 10'h000;
assign TX_DATA_24_const_net_3             = 10'h000;
assign TX_DATA_25_const_net_3             = 10'h000;
assign TX_DATA_26_const_net_3             = 10'h000;
assign TX_DATA_27_const_net_3             = 10'h000;
assign TX_DATA_28_const_net_3             = 10'h000;
assign TX_DATA_29_const_net_3             = 10'h000;
assign TX_DATA_30_const_net_3             = 10'h000;
assign TX_DATA_31_const_net_3             = 10'h000;
assign TX_DATA_32_const_net_3             = 10'h000;
assign TX_DATA_33_const_net_3             = 10'h000;
assign TX_DATA_34_const_net_3             = 10'h000;
assign TX_DATA_35_const_net_3             = 10'h000;
assign TX_DATA_36_const_net_3             = 10'h000;
assign TX_DATA_37_const_net_3             = 10'h000;
assign TX_DATA_38_const_net_3             = 10'h000;
assign TX_DATA_39_const_net_3             = 10'h000;
assign TX_DATA_40_const_net_3             = 10'h000;
assign TX_DATA_41_const_net_3             = 10'h000;
assign TX_DATA_42_const_net_3             = 10'h000;
assign TX_DATA_43_const_net_3             = 10'h000;
assign TX_DATA_44_const_net_3             = 10'h000;
assign TX_DATA_45_const_net_3             = 10'h000;
assign TX_DATA_46_const_net_3             = 10'h000;
assign TX_DATA_47_const_net_3             = 10'h000;
assign TX_DATA_48_const_net_3             = 10'h000;
assign TX_DATA_49_const_net_3             = 10'h000;
assign TX_DATA_50_const_net_3             = 10'h000;
assign TX_DATA_51_const_net_3             = 10'h000;
assign TX_DATA_52_const_net_3             = 10'h000;
assign TX_DATA_53_const_net_3             = 10'h000;
assign TX_DATA_54_const_net_3             = 10'h000;
assign TX_DATA_55_const_net_3             = 10'h000;
assign TX_DATA_56_const_net_3             = 10'h000;
assign TX_DATA_57_const_net_3             = 10'h000;
assign TX_DATA_58_const_net_3             = 10'h000;
assign TX_DATA_59_const_net_3             = 10'h000;
assign TX_DATA_60_const_net_3             = 10'h000;
assign TX_DATA_61_const_net_3             = 10'h000;
assign TX_DATA_62_const_net_3             = 10'h000;
assign TX_DATA_63_const_net_3             = 10'h000;
assign OE_DATA_1_const_net_3              = 4'h0;
assign OE_DATA_2_const_net_3              = 4'h0;
assign OE_DATA_3_const_net_3              = 4'h0;
assign OE_DATA_4_const_net_3              = 4'h0;
assign OE_DATA_5_const_net_3              = 4'h0;
assign OE_DATA_6_const_net_3              = 4'h0;
assign OE_DATA_7_const_net_3              = 4'h0;
assign OE_DATA_8_const_net_3              = 4'h0;
assign OE_DATA_9_const_net_3              = 4'h0;
assign OE_DATA_10_const_net_3             = 4'h0;
assign OE_DATA_11_const_net_3             = 4'h0;
assign OE_DATA_12_const_net_3             = 4'h0;
assign OE_DATA_13_const_net_3             = 4'h0;
assign OE_DATA_14_const_net_3             = 4'h0;
assign OE_DATA_15_const_net_3             = 4'h0;
assign OE_DATA_16_const_net_3             = 4'h0;
assign OE_DATA_17_const_net_3             = 4'h0;
assign OE_DATA_18_const_net_3             = 4'h0;
assign OE_DATA_19_const_net_3             = 4'h0;
assign OE_DATA_20_const_net_3             = 4'h0;
assign OE_DATA_21_const_net_3             = 4'h0;
assign OE_DATA_22_const_net_3             = 4'h0;
assign OE_DATA_23_const_net_3             = 4'h0;
assign OE_DATA_24_const_net_3             = 4'h0;
assign OE_DATA_25_const_net_3             = 4'h0;
assign OE_DATA_26_const_net_3             = 4'h0;
assign OE_DATA_27_const_net_3             = 4'h0;
assign OE_DATA_28_const_net_3             = 4'h0;
assign OE_DATA_29_const_net_3             = 4'h0;
assign OE_DATA_30_const_net_3             = 4'h0;
assign OE_DATA_31_const_net_3             = 4'h0;
assign OE_DATA_32_const_net_3             = 4'h0;
assign OE_DATA_33_const_net_3             = 4'h0;
assign OE_DATA_34_const_net_3             = 4'h0;
assign OE_DATA_35_const_net_3             = 4'h0;
assign OE_DATA_36_const_net_3             = 4'h0;
assign OE_DATA_37_const_net_3             = 4'h0;
assign OE_DATA_38_const_net_3             = 4'h0;
assign OE_DATA_39_const_net_3             = 4'h0;
assign OE_DATA_40_const_net_3             = 4'h0;
assign OE_DATA_41_const_net_3             = 4'h0;
assign OE_DATA_42_const_net_3             = 4'h0;
assign OE_DATA_43_const_net_3             = 4'h0;
assign OE_DATA_44_const_net_3             = 4'h0;
assign OE_DATA_45_const_net_3             = 4'h0;
assign OE_DATA_46_const_net_3             = 4'h0;
assign OE_DATA_47_const_net_3             = 4'h0;
assign OE_DATA_48_const_net_3             = 4'h0;
assign OE_DATA_49_const_net_3             = 4'h0;
assign OE_DATA_50_const_net_3             = 4'h0;
assign OE_DATA_51_const_net_3             = 4'h0;
assign OE_DATA_52_const_net_3             = 4'h0;
assign OE_DATA_53_const_net_3             = 4'h0;
assign OE_DATA_54_const_net_3             = 4'h0;
assign OE_DATA_55_const_net_3             = 4'h0;
assign OE_DATA_56_const_net_3             = 4'h0;
assign OE_DATA_57_const_net_3             = 4'h0;
assign OE_DATA_58_const_net_3             = 4'h0;
assign OE_DATA_59_const_net_3             = 4'h0;
assign OE_DATA_60_const_net_3             = 4'h0;
assign OE_DATA_61_const_net_3             = 4'h0;
assign OE_DATA_62_const_net_3             = 4'h0;
assign OE_DATA_63_const_net_3             = 4'h0;
assign DLL_CODE_const_net_0               = 8'h00;
assign READ_CLK_SEL_const_net_1           = 3'h0;
assign EYE_MONITOR_WIDTH_IN_const_net_0   = 3'h0;
assign CDR_CLK_A_SEL_const_net_0          = 8'h00;
assign CDR_CLK_B_SEL_const_net_0          = 11'h000;
//--------------------------------------------------------------------
// Inversions
//--------------------------------------------------------------------
assign RESET_IN_POST_INV0_0 = ~ RST_N;
assign RESET_IN_POST_INV1_0 = ~ DELAY_CODE_TIP_0_reset_lane;
//--------------------------------------------------------------------
// Top level output port assignments
//--------------------------------------------------------------------
assign TX_P_net_1                  = TX_P_net_0;
assign TX_P                        = TX_P_net_1;
assign TX_N_net_1                  = TX_N_net_0;
assign TX_N                        = TX_N_net_1;
assign RX_CLK_R_net_1              = RX_CLK_R_net_0;
assign RX_CLK_R                    = RX_CLK_R_net_1;
assign RX_DATA_net_1               = RX_DATA_net_0;
assign RX_DATA[9:0]                = RX_DATA_net_1;
assign RX_VAL_net_1                = RX_VAL_net_0;
assign RX_VAL                      = RX_VAL_net_1;
assign DLL_CODE_UPDATE_net_1       = DLL_CODE_UPDATE_net_0;
assign DLL_CODE_UPDATE             = DLL_CODE_UPDATE_net_1;
assign MASTER_DLL_CODE_VALID_net_1 = MASTER_DLL_CODE_VALID_net_0;
assign MASTER_DLL_CODE_VALID       = MASTER_DLL_CODE_VALID_net_1;
assign MASTER_DLL_START_net_1      = MASTER_DLL_START_net_0;
assign MASTER_DLL_START            = MASTER_DLL_START_net_1;
assign MASTER_DLL_DELAY_CODE_net_1 = MASTER_DLL_DELAY_CODE_net_0;
assign MASTER_DLL_DELAY_CODE[6:0]  = MASTER_DLL_DELAY_CODE_net_1;
//--------------------------------------------------------------------
// Slices assignments
//--------------------------------------------------------------------
assign CDR4_CNTL_TIP_0_sela_lane7to0       = sela_lane_net_0[7:0];
assign CDR4_CNTL_TIP_0_sela_lane8to8[8]    = sela_lane_net_0[8:8];
assign CDR4_CNTL_TIP_0_sela_lane9to9[9]    = sela_lane_net_0[9:9];
assign CDR4_CNTL_TIP_0_sela_lane10to10[10] = sela_lane_net_0[10:10];
assign CDR4_CNTL_TIP_0_selb_lane0to0[0]    = selb_lane_net_0[0:0];
assign CDR4_CNTL_TIP_0_selb_lane7to1       = selb_lane_net_0[7:1];
assign CDR4_CNTL_TIP_0_selb_lane8to8[8]    = selb_lane_net_0[8:8];
assign CDR4_CNTL_TIP_0_selb_lane9to9[9]    = selb_lane_net_0[9:9];
assign CDR4_CNTL_TIP_0_selb_lane10to10[10] = selb_lane_net_0[10:10];
//--------------------------------------------------------------------
// Concatenation assignments
//--------------------------------------------------------------------
assign TX_DATA_0_net_0 = { CDR4_CNTL_TIP_0_selb_lane7to1 , 1'b0 };
assign OE_DATA_0_net_0 = { CDR4_CNTL_TIP_0_sela_lane10to10[10] , CDR4_CNTL_TIP_0_sela_lane9to9[9] , CDR4_CNTL_TIP_0_sela_lane8to8[8] , 1'b0 };
assign HS_IO_CLK_net_0 = { HS_IO_CLK_270 , HS_IO_CLK_180 , HS_IO_CLK_90 , HS_IO_CLK_0 };
//--------------------------------------------------------------------
// Component instances
//--------------------------------------------------------------------
//--------AND2
AND2 AND2_0(
        // Inputs
        .A ( PF_LANECTRL_0_A_OUT_RST_N ),
        .B ( CDR4_CNTL_TIP_0_cdr_ready ),
        // Outputs
        .Y ( RX_VAL_net_0 ) 
        );

//--------CORECDR4CNTL_TIP   -   Actel:DirectCore:CORECDR4CNTL_TIP:2.1.100
CORECDR4CNTL_TIP #( 
        .EYEWIDTH ( 1 ),
        .STEP     ( 2 ) )
CDR4_CNTL_TIP_0(
        // Inputs
        .cdr_start        ( SLAVE_DLL_START ),
        .sclk0            ( RX_CLK_R_net_0 ),
        .stream_start     ( STREAM_START ),
        .early_n          ( FLAG_GEN_TIP_0_early_n ),
        .late_n           ( FLAG_GEN_TIP_0_late_n ),
        .dll_valid_code   ( SLAVE_DLL_CODE_VALID ),
        .dll_delay_code   ( SLAVE_DLL_DELAY_CODE ),
        // Outputs
        .cdr_ready        ( CDR4_CNTL_TIP_0_cdr_ready ),
        .clr_flags_n      ( CDR4_CNTL_TIP_0_clr_flags_n ),
        .eyewidth_in_lane ( CDR4_CNTL_TIP_0_eyewidth_in_lane ),
        .sela_lane        ( sela_lane_net_0 ),
        .selb_lane        ( selb_lane_net_0 ),
        .switch_lane      ( CDR4_CNTL_TIP_0_switch_lane ) 
        );

//--------COREDELAYCODE_TIP   -   Actel:DirectCore:COREDELAYCODE_TIP:2.1.100
COREDELAYCODE_TIP DELAY_CODE_TIP_0(
        // Inputs
        .gsr_b          ( RST_N ),
        .sclk1          ( TX_CLK_G ),
        .pll_lock       ( PLL_LOCK ),
        .dll_lock       ( DLL_LOCK ),
        .dll_delay_diff ( DLL_DELAY_DIFF ),
        .rxdly_oor_lane ( PF_LANECTRL_CODE_READER_0_RX_DELAY_LINE_OUT_OF_RANGE ),
        // Outputs
        .dll_code_upd   ( DLL_CODE_UPDATE_net_0 ),
        .dll_delay_code ( MASTER_DLL_DELAY_CODE_net_0 ),
        .dll_valid_code ( MASTER_DLL_CODE_VALID_net_0 ),
        .reset_lane     ( DELAY_CODE_TIP_0_reset_lane ),
        .pause_lane     ( DELAY_CODE_TIP_0_pause_lane ),
        .load_lane      ( DELAY_CODE_TIP_0_load_lane ),
        .move_lane      ( DELAY_CODE_TIP_0_move_lane ),
        .direction_lane ( DELAY_CODE_TIP_0_direction_lane ),
        .mv_rd_dly_lane ( DELAY_CODE_TIP_0_mv_rd_dly_lane ),
        .cdr_start      ( MASTER_DLL_START_net_0 ) 
        );

//--------COREFLAGGEN_TIP   -   Actel:DirectCore:COREFLAGGEN_TIP:2.1.100
COREFLAGGEN_TIP #( 
        .ERR_NUM ( 1 ),
        .OFFSET  ( 4 ) )
FLAG_GEN_TIP_0(
        // Inputs
        .gsr_b        ( PF_LANECTRL_0_A_OUT_RST_N ),
        .sclk0        ( RX_CLK_R_net_0 ),
        .stream_start ( STREAM_START ),
        .clr_flags_n  ( CDR4_CNTL_TIP_0_clr_flags_n ),
        .rx_p         ( RX_DATA_net_0 ),
        .rx_n         ( PF_IOD_CDR_RX_N_0_RX_DATA_0 ),
        // Outputs
        .load_n       ( FLAG_GEN_TIP_0_load_n ),
        .move_n       ( FLAG_GEN_TIP_0_move_n ),
        .direction_n  ( FLAG_GEN_TIP_0_direction_n ),
        .flag_ready   (  ),
        .early_n      ( FLAG_GEN_TIP_0_early_n ),
        .late_n       ( FLAG_GEN_TIP_0_late_n ) 
        );

//--------INBUF_DIFF
INBUF_DIFF IB_DIFF_CDR_0(
        // Inputs
        .PADP ( RX_P ),
        .PADN ( RX_N ),
        // Outputs
        .Y    ( IB_DIFF_CDR_0_Y ) 
        );

//--------OUTBUF_DIFF
OUTBUF_DIFF OB_DIFF_CDR_0(
        // Inputs
        .D    ( PF_IOD_CDR_TX_0_TX_0 ),
        // Outputs
        .PADP ( TX_P_net_0 ),
        .PADN ( TX_N_net_0 ) 
        );

//--------SGMII_CDR_0_01_PF_IOD_CDR_LANECTRL_OVERLAY_0_PF_IOD   -   Actel:SgCore:PF_IOD:1.0.212
SGMII_CDR_0_01_PF_IOD_CDR_LANECTRL_OVERLAY_0_PF_IOD PF_IOD_CDR_LANECTRL_OVERLAY_0(
        // Inputs
        .HS_IO_CLK                 ( GND_net ),
        .TX_DATA_0                 ( TX_DATA_0_net_0 ),
        .OE_DATA_0                 ( OE_DATA_0_net_0 ),
        .RX_BIT_SLIP_0             ( CDR4_CNTL_TIP_0_selb_lane10to10 ),
        .EYE_MONITOR_CLEAR_FLAGS_0 ( CDR4_CNTL_TIP_0_switch_lane ),
        .DELAY_LINE_MOVE_0         ( CDR4_CNTL_TIP_0_selb_lane8to8 ),
        .DELAY_LINE_DIRECTION_0    ( CDR4_CNTL_TIP_0_selb_lane9to9 ),
        .DELAY_LINE_LOAD_0         ( CDR4_CNTL_TIP_0_selb_lane0to0 ),
        .FAB_CLK                   ( RX_CLK_R_net_0 ),
        .ODT_EN_0                  ( GND_net ),
        // Outputs
        .CDR_CLK_A_SEL_8           ( PF_IOD_CDR_LANECTRL_OVERLAY_0_CDR_CLK_A_SEL_8 ),
        .CDR_CLK_A_SEL_9           ( PF_IOD_CDR_LANECTRL_OVERLAY_0_CDR_CLK_A_SEL_9 ),
        .CDR_CLK_A_SEL_10          ( PF_IOD_CDR_LANECTRL_OVERLAY_0_CDR_CLK_A_SEL_10 ),
        .CDR_CLK_B_SEL             ( PF_IOD_CDR_LANECTRL_OVERLAY_0_CDR_CLK_B_SEL ),
        .CDR_CLR_NEXT_CLK_N        (  ),
        .SWITCH                    ( PF_IOD_CDR_LANECTRL_OVERLAY_0_SWITCH ) 
        );

//--------SGMII_CDR_0_01_PF_IOD_CDR_RX_N_0_PF_IOD   -   Actel:SgCore:PF_IOD:1.0.212
SGMII_CDR_0_01_PF_IOD_CDR_RX_N_0_PF_IOD PF_IOD_CDR_RX_N_0(
        // Inputs
        .RX_N_0                    ( IB_DIFF_CDR_0_Y ),
        .ARST_N                    ( PF_LANECTRL_0_ARST_N ),
        .RX_SYNC_RST               ( PF_LANECTRL_0_RX_SYNC_RST ),
        .TX_SYNC_RST               ( PF_LANECTRL_0_TX_SYNC_RST ),
        .HS_IO_CLK                 ( GND_net ),
        .FIFO_WR_PTR               ( PF_LANECTRL_0_FIFO_WR_PTR ),
        .FIFO_RD_PTR               ( PF_LANECTRL_0_FIFO_RD_PTR ),
        .CDR_CLK                   ( PF_LANECTRL_0_CDR_CLK ),
        .EYE_MONITOR_LANE_WIDTH    ( PF_LANECTRL_0_EYE_MONITOR_WIDTH_OUT ),
        .RX_BIT_SLIP_0             ( GND_net ),
        .EYE_MONITOR_CLEAR_FLAGS_0 ( GND_net ), // tied to 1'b0 from definition
        .DELAY_LINE_MOVE_0         ( FLAG_GEN_TIP_0_move_n ),
        .DELAY_LINE_DIRECTION_0    ( FLAG_GEN_TIP_0_direction_n ),
        .DELAY_LINE_LOAD_0         ( FLAG_GEN_TIP_0_load_n ),
        .FAB_CLK                   ( RX_CLK_R_net_0 ),
        // Outputs
        .DELAY_LINE_OUT_OF_RANGE_0 (  ),
        .EYE_MONITOR_EARLY_0       (  ),
        .EYE_MONITOR_LATE_0        (  ),
        .RX_DATA_0                 ( PF_IOD_CDR_RX_N_0_RX_DATA_0 ) 
        );

//--------SGMII_CDR_0_01_PF_IOD_CDR_RX_P_0_PF_IOD   -   Actel:SgCore:PF_IOD:1.0.212
SGMII_CDR_0_01_PF_IOD_CDR_RX_P_0_PF_IOD PF_IOD_CDR_RX_P_0(
        // Inputs
        .RX_P_0                    ( IB_DIFF_CDR_0_Y ),
        .ARST_N                    ( PF_LANECTRL_0_ARST_N ),
        .RX_SYNC_RST               ( PF_LANECTRL_0_RX_SYNC_RST ),
        .TX_SYNC_RST               ( PF_LANECTRL_0_TX_SYNC_RST ),
        .HS_IO_CLK                 ( GND_net ),
        .FIFO_WR_PTR               ( PF_LANECTRL_0_FIFO_WR_PTR ),
        .FIFO_RD_PTR               ( PF_LANECTRL_0_FIFO_RD_PTR ),
        .CDR_CLK                   ( PF_LANECTRL_0_CDR_CLK ),
        .EYE_MONITOR_LANE_WIDTH    ( PF_LANECTRL_0_EYE_MONITOR_WIDTH_OUT ),
        .RX_BIT_SLIP_0             ( GND_net ),
        .EYE_MONITOR_CLEAR_FLAGS_0 ( GND_net ), // tied to 1'b0 from definition
        .FAB_CLK                   ( RX_CLK_R_net_0 ),
        // Outputs
        .EYE_MONITOR_EARLY_0       (  ),
        .EYE_MONITOR_LATE_0        (  ),
        .RX_DATA_0                 ( RX_DATA_net_0 ) 
        );

//--------SGMII_CDR_0_01_PF_IOD_CDR_TX_0_PF_IOD   -   Actel:SgCore:PF_IOD:1.0.212
SGMII_CDR_0_01_PF_IOD_CDR_TX_0_PF_IOD PF_IOD_CDR_TX_0(
        // Inputs
        .ARST_N      ( PF_LANECTRL_0_ARST_N ),
        .RX_SYNC_RST ( PF_LANECTRL_0_RX_SYNC_RST ),
        .TX_SYNC_RST ( PF_LANECTRL_0_TX_SYNC_RST ),
        .HS_IO_CLK   ( HS_IO_CLK_0 ),
        .TX_DATA_0   ( TX_DATA ),
        .OE_DATA_0   ( OE_DATA_0_const_net_0 ),
        .FAB_CLK     ( TX_CLK_G ),
        .ODT_EN_0    ( GND_net ), // tied to 1'b0 from definition
        // Outputs
        .TX_0        ( PF_IOD_CDR_TX_0_TX_0 ),
        .OE_0        (  ) 
        );

//--------SGMII_CDR_0_01_PF_LANECTRL_0_PF_LANECTRL   -   Actel:SgCore:PF_LANECTRL:1.0.203
SGMII_CDR_0_01_PF_LANECTRL_0_PF_LANECTRL PF_LANECTRL_0(
        // Inputs
        .HS_IO_CLK                  ( HS_IO_CLK_net_0 ),
        .FAB_CLK                    ( RX_CLK_R_net_0 ),
        .RESET                      ( RESET_IN_POST_INV0_0 ),
        .READ_CLK_SEL               ( READ_CLK_SEL_const_net_0 ),
        .DELAY_LINE_SEL             ( GND_net ),
        .DELAY_LINE_LOAD            ( GND_net ),
        .DELAY_LINE_DIRECTION       ( GND_net ),
        .DELAY_LINE_MOVE            ( GND_net ),
        .HS_IO_CLK_PAUSE            ( GND_net ),
        .EYE_MONITOR_WIDTH_IN       ( CDR4_CNTL_TIP_0_eyewidth_in_lane ),
        .RX_BIT_SLIP                ( GND_net ),
        .CDR_CLK_A_SEL              ( CDR4_CNTL_TIP_0_sela_lane7to0 ),
        .DIV_CLK_EN_N               ( VCC_net ),
        .CDR_CLK_A_SEL_8            ( PF_IOD_CDR_LANECTRL_OVERLAY_0_CDR_CLK_A_SEL_8 ),
        .CDR_CLK_A_SEL_9            ( PF_IOD_CDR_LANECTRL_OVERLAY_0_CDR_CLK_A_SEL_9 ),
        .CDR_CLK_A_SEL_10           ( PF_IOD_CDR_LANECTRL_OVERLAY_0_CDR_CLK_A_SEL_10 ),
        .CDR_CLK_B_SEL              ( PF_IOD_CDR_LANECTRL_OVERLAY_0_CDR_CLK_B_SEL ),
        .CDR_CLR_NEXT_CLK_N         ( GND_net ),
        .SWITCH                     ( PF_IOD_CDR_LANECTRL_OVERLAY_0_SWITCH ),
        // Outputs
        .EYE_MONITOR_WIDTH_OUT      ( PF_LANECTRL_0_EYE_MONITOR_WIDTH_OUT ),
        .FIFO_WR_PTR                ( PF_LANECTRL_0_FIFO_WR_PTR ),
        .FIFO_RD_PTR                ( PF_LANECTRL_0_FIFO_RD_PTR ),
        .ARST_N                     ( PF_LANECTRL_0_ARST_N ),
        .RX_SYNC_RST                ( PF_LANECTRL_0_RX_SYNC_RST ),
        .TX_SYNC_RST                ( PF_LANECTRL_0_TX_SYNC_RST ),
        .RX_DELAY_LINE_OUT_OF_RANGE (  ),
        .TX_DELAY_LINE_OUT_OF_RANGE (  ),
        .CDR_CLK                    ( PF_LANECTRL_0_CDR_CLK ),
        .CDR_NEXT_CLK               (  ),
        .CLK_OUT_R                  ( PF_LANECTRL_0_CLK_OUT_R ),
        .A_OUT_RST_N                ( PF_LANECTRL_0_A_OUT_RST_N ) 
        );

//--------SGMII_CDR_0_01_PF_LANECTRL_CODE_READER_0_PF_LANECTRL   -   Actel:SgCore:PF_LANECTRL:1.0.203
SGMII_CDR_0_01_PF_LANECTRL_CODE_READER_0_PF_LANECTRL PF_LANECTRL_CODE_READER_0(
        // Inputs
        .HS_IO_CLK                  ( HS_IO_CLK_0 ),
        .DLL_CODE                   ( DLL_CODE ),
        .FAB_CLK                    ( TX_CLK_G ),
        .RESET                      ( RESET_IN_POST_INV1_0 ),
        .DELAY_LINE_SEL             ( DELAY_CODE_TIP_0_mv_rd_dly_lane ),
        .DELAY_LINE_LOAD            ( DELAY_CODE_TIP_0_load_lane ),
        .DELAY_LINE_DIRECTION       ( DELAY_CODE_TIP_0_direction_lane ),
        .DELAY_LINE_MOVE            ( DELAY_CODE_TIP_0_move_lane ),
        .HS_IO_CLK_PAUSE            ( DELAY_CODE_TIP_0_pause_lane ),
        .EYE_MONITOR_WIDTH_IN       ( EYE_MONITOR_WIDTH_IN_const_net_0 ), // tied to 3'h0 from definition
        // Outputs
        .EYE_MONITOR_WIDTH_OUT      (  ),
        .RX_DQS_90                  (  ),
        .TX_DQS                     (  ),
        .TX_DQS_270                 (  ),
        .ARST_N                     (  ),
        .RX_SYNC_RST                (  ),
        .TX_SYNC_RST                (  ),
        .RX_DELAY_LINE_OUT_OF_RANGE ( PF_LANECTRL_CODE_READER_0_RX_DELAY_LINE_OUT_OF_RANGE ),
        .TX_DELAY_LINE_OUT_OF_RANGE (  ),
        .A_OUT_RST_N                (  ) 
        );

//--------RCLKINT
RCLKINT RCLKINT_0(
        // Inputs
        .A ( PF_LANECTRL_0_CLK_OUT_R ),
        // Outputs
        .Y ( RX_CLK_R_net_0 ) 
        );


endmodule
